.sticky-banner {
    height: 100vh;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}
.sticky-content{
    position: relative;
    height: 100%;
    padding-top: 10rem;
    padding-bottom: 3rem;
    z-index: 2;
}
.sticky-content .sticky-content-wrapper {
    position: sticky;
    top: calc(100vh - 15rem);
    padding: 0 40px;
    color: #fff;
}
.sticky-banner::after {
    content: '';
    position: absolute;
    inset: 0;
    background:
    linear-gradient(
        to bottom,
        transparent var(--overlay-opacity),
        rgb(var(--overlay-color) / .45) 100%
    );
    pointer-events: none;
    z-index: 1;
}